禁用bitcode后,iOS 9及更高版本的链接器错误

发布时间:2020-07-31 发布网站:脚本之家
脚本之家收集整理的这篇文章主要介绍了禁用bitcode后,iOS 9及更高版本的链接器错误脚本之家小编觉得挺不错的,现在分享给大家,也给大家做个参考。
我在我的项目中使用可可豆荚集成了openssl库.它在 xcode 7.1,模拟器7.0及更高版本中运行良好.
但是,当我尝试在物理iOS设备上安装时,得到以下提到的问题:

You must rebuild it with bitcode enabled (Xcode setting
ENABLE_BITCODE),obtain an updated library from the vendor,or disable
bitcode for this target. for architecture arm64 clang: error: linker
command failed with exit code 1 (use -v to see invocation)

将enable bitocde设置为NO后,我可以在iOS 7/8设备中运行该项目.

但是当我尝试在iOS 9或更高版本的设备中运行我的应用程序时,我从我添加到项目中的依赖项中收到了多个错误.

enter image description here

提前感谢任何建议.

解决方法

最后得到一些修正我错误的东西

当应用程序使用openssl库时.开发人员需要将enable bitcode模式设置为目标和项目的多个值.

1.调试应用程序时

调试Debug bitcode时,调试应为NO,Release应为YES.

2.发布申请时

在这种情况下,用于调试的Enable bitcode应为YES,Release模式应为NO.

我按照上面的步骤操作,以便我能够调试应用程序并成功推送到Appstore而不会出现任何错误.

希望这个答案能够帮助别人.

总结

以上是脚本之家为你收集整理的禁用bitcode后,iOS 9及更高版本的链接器错误全部内容,希望文章能够帮你解决禁用bitcode后,iOS 9及更高版本的链接器错误所遇到的程序开发问题。

如果觉得脚本之家网站内容还不错,欢迎将脚本之家网站推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您喜欢交流学习经验,点击链接加入脚本之家官方QQ群:1065694478
脚本之家官方公众号

微信公众号搜索 “ 程序精选 ” ,选择关注!

微信公众号搜索 “ 程序精选 ”
精选程序员所需精品干货内容!